Bug 994232 - mate-power-manager doesn't turn off the display despite elapsed timeout
mate-power-manager doesn't turn off the display despite elapsed timeout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-power-manager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 15:49 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2013-08-18 17:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: mate-power-manager-1.6.2-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:30:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2013-08-06 15:49:03 EDT
Description of problem:
MATE Power Manager doesn't turn off the display despite elapsed timeout. The screensaver kicks in, but the display is never turned off.

Version-Release number of selected component (if applicable):
mate-power-manager-1.6.1-3.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set "Put display to sleep when inactive for" to 1 minute in Power Management Preferences, "On AC Power" tab.
2. Wait 1 minute without touching the keyboard or mouse.

Actual results:
Nothing happens.

Expected results:
Display should be turned off.

Additional info:
Similar symptom as in bug 949070, but I get this on both a desktop PC and a laptop.

$ grep -i dpms /var/log/Xorg.0.log
[     3.607] Initializing built-in extension DPMS
[     3.754] (II) RADEON(0): DPMS capabilities: StandBy Suspend Off
[     3.831] (==) RADEON(0): DPMS enabled

xset dpms force off does turn the display off.

$ rpm -qa \*mate\* |sort
imsettings-mate-1.6.3-1.fc19.x86_64
libmatekbd-1.6.1-1.fc19.x86_64
libmatekeyring-1.6.0-1.fc19.x86_64
libmateweather-1.6.1-1.fc19.x86_64
libmatewnck-1.6.1-1.fc19.x86_64
mate-applets-1.6.1-4.fc19.x86_64
mate-backgrounds-1.6.0-1.fc19.noarch
mate-calc-1.6.0-1.fc19.x86_64
mate-character-map-1.6.0-4.fc19.x86_64
mate-control-center-1.6.0-2.fc19.x86_64
mate-desktop-1.6.1-8.fc19.x86_64
mate-desktop-libs-1.6.1-8.fc19.x86_64
mate-dialogs-1.6.0-1.fc19.x86_64
mate-document-viewer-1.6.0-6.fc19.x86_64
mate-document-viewer-data-1.6.0-6.fc19.noarch
mate-document-viewer-libs-1.6.0-6.fc19.x86_64
mate-file-archiver-1.6.0-2.fc19.x86_64
mate-file-manager-1.6.1-9.fc19.x86_64
mate-file-manager-extensions-1.6.1-9.fc19.x86_64
mate-file-manager-open-terminal-1.6.0-1.fc19.x86_64
mate-icon-theme-1.6.1-1.fc19.noarch
mate-image-viewer-1.6.0-1.fc19.x86_64
mate-keyring-1.6.0-2.fc19.x86_64
mate-keyring-pam-1.6.0-2.fc19.x86_64
mate-media-1.6.0-2.fc19.x86_64
mate-menus-1.6.0-4.fc19.x86_64
mate-menus-libs-1.6.0-4.fc19.x86_64
mate-netspeed-1.6.0-1.fc19.x86_64
mate-notification-daemon-1.6.0-2.fc19.x86_64
mate-panel-1.6.0-3.fc19.x86_64
mate-panel-libs-1.6.0-3.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
mate-power-manager-1.6.1-3.fc19.x86_64
mate-screensaver-1.6.0-1.fc19.x86_64
mate-sensors-applet-1.6.0-3.fc19.x86_64
mate-session-manager-1.6.0-3.fc19.x86_64
mate-settings-daemon-1.6.1-2.fc19.x86_64
mate-system-log-1.6.0-5.fc19.x86_64
mate-system-monitor-1.6.0-1.fc19.x86_64
mate-terminal-1.6.1-9.fc19.x86_64
mate-text-editor-1.6.0-2.fc19.x86_64
mate-themes-1.6.1-2.fc19.noarch
mate-utils-1.6.0-5.fc19.x86_64
mate-window-manager-1.6.2-3.fc19.x86_64

$ cat .xsession-errors
** (mate-power-manager:1062): WARNING **: levels is 0!
Comment 1 Wolfgang Ulbrich 2013-08-06 17:07:57 EDT
Thanks for reporting the issue. I can confirm this issue in my f19 box.
Seems like systemd-login1 support is broken for 'display to sleep when inactive'.
As a workaround you can install consoleKit-x11 which fix the issue for me after a reboot.

But take care to do not run in well known consoleKit/selinux issue.
https://bugzilla.redhat.com/show_bug.cgi?id=972881
see my comment 49.
Maybe you should set selinux to 'permissive' to do not run in 'slow boot issue' with consolekit/lightdm/selinux.
Or follow workarounds in this report.

I wanna send this report to upstream, so it would be nice if you can confirm that 'display to sleep when inactive' works well if consoleKit is installed.
Comment 2 Wolfgang Ulbrich 2013-08-07 14:00:21 EDT
https://github.com/mate-desktop/mate-power-manager/issues/71
I've done a pull request to fix the issue at
https://github.com/mate-desktop/mate-power-manager/pull/72
New build comming soon.
Comment 3 Dominik 'Rathann' Mierzejewski 2013-08-07 19:11:46 EDT
(In reply to Wolfgang Ulbrich from comment #1)
> Thanks for reporting the issue. I can confirm this issue in my f19 box.
> Seems like systemd-login1 support is broken for 'display to sleep when
> inactive'.
> As a workaround you can install consoleKit-x11 which fix the issue for me
> after a reboot.

I had ConsoleKit-x11 installed already, before reporting this bug.
$ rpm -q ConsoleKit-x11
ConsoleKit-x11-0.4.5-5.fc19.x86_64

> But take care to do not run in well known consoleKit/selinux issue.
> https://bugzilla.redhat.com/show_bug.cgi?id=972881
> see my comment 49.
> Maybe you should set selinux to 'permissive' to do not run in 'slow boot
> issue' with consolekit/lightdm/selinux.
> Or follow workarounds in this report.

... however I didn't relabel /usr/sbin/console-kit-daemon. Thanks for the pointer. After relabeling and restart, the display gets turned off as configured.

Do I understand correctly that I can remove ConsoleKit-x11 package once a fixed build is released?

Thanks for the quick turn-around.
Comment 4 Wolfgang Ulbrich 2013-08-07 19:31:25 EDT
(In reply to Dominik 'Rathann' Mierzejewski from comment #3)
> (In reply to Wolfgang Ulbrich from comment #1)
> > Thanks for reporting the issue. I can confirm this issue in my f19 box.
> > Seems like systemd-login1 support is broken for 'display to sleep when
> > inactive'.
> > As a workaround you can install consoleKit-x11 which fix the issue for me
> > after a reboot.
> 
> I had ConsoleKit-x11 installed already, before reporting this bug.
> $ rpm -q ConsoleKit-x11
> ConsoleKit-x11-0.4.5-5.fc19.x86_64
> 
> > But take care to do not run in well known consoleKit/selinux issue.
> > https://bugzilla.redhat.com/show_bug.cgi?id=972881
> > see my comment 49.
> > Maybe you should set selinux to 'permissive' to do not run in 'slow boot
> > issue' with consolekit/lightdm/selinux.
> > Or follow workarounds in this report.
> 
> ... however I didn't relabel /usr/sbin/console-kit-daemon. Thanks for the
> pointer. After relabeling and restart, the display gets turned off as
> configured.
> 
> Do I understand correctly that I can remove ConsoleKit-x11 package once a
> fixed build is released?anfm
> 
> Thanks for the quick turn-around.
Yes, if the fix build is released you can savely remove all consolekit packages, no mate package and lightdm need consolekit anymore in f19.
But other packages from xfce/lxde needs consolekit, ie. thunar an pcfm or maybe others.
Comment 5 Fedora Update System 2013-08-09 17:44:15 EDT
mate-power-manager-1.6.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-power-manager-1.6.2-3.fc18
Comment 6 Fedora Update System 2013-08-09 17:44:26 EDT
mate-power-manager-1.6.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-power-manager-1.6.2-3.fc19
Comment 7 Fedora Update System 2013-08-10 16:00:59 EDT
Package mate-power-manager-1.6.2-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-power-manager-1.6.2-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14584/mate-power-manager-1.6.2-3.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-18 17:30:44 EDT
mate-power-manager-1.6.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-18 17:32:48 EDT
mate-power-manager-1.6.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.